#include <stdio.h>

#include "zpu_load.h"

void load(uint8_t* dest, int length)
{
        char* fileName = "test.bin";
	FILE* f;
	int bytesRead;

	f = fopen(fileName, "r");
	if (f == 0)
	{
		printf("Failed to open %s\n", fileName);
		perror("");
		exit(0);
	}

	bytesRead = fread(dest, 1, length, f);
	if (feof(f) && (ferror(f) == 0))
	{
		//printf("Loaded %d bytes from %s\n", bytesRead, fileName);
	}
	else
	{
	        printf("Error reading %s %d\n", fileName, bytesRead);
		perror("");
		exit(1);
	}
	fclose(f);
}

